Piwigo Bugtracker

Piwigo bug tracker has moved to Github

This bugtracker is kept to provide history on old issues.


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001053Piwigoalbumspublic2009.07.16 01:172009.07.20 07:19
Reporterplg 
Assigned Torvelices 
PriorityhighSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.0.3 
Target Version2.0.4Fixed in Version2.0.4 
Summary0001053: hide categories that contain no photo due to privacy level
Descriptiontopic:15227

Problem: for a given user, if a category contains no photo because all photos have a too high privacy level, the category is still visible with its description and the representative thumbnail.

Conclusion of the forum discussion: for a given user, a category with no photo inside should be considered as forbidden.
TagsNo tags attached.
browserany
Database engine and version
PHP version
Web serverApache 1.3.x
Attached Files

- Relationships
related to 0001492closedplg uploadable categories should stay visible, even if empty 

-  Notes
(0002702)
svn (reporter)
2009.07.18 12:30

[Subversion] r3622 by rvelices on trunk

-----[Subversion commit log]----------------------------------------------------
feature 1053: hide categories that contain no photo due to privacy level
(0002703)
svn (reporter)
2009.07.18 12:34

[Subversion] r3623 by rvelices on branch 2.0

-----[Subversion commit log]----------------------------------------------------
merge r3622 from trunk to branch 2.0
- feature 1053: hide categories that contain no photo due to privacy level
(0002704)
svn (reporter)
2009.07.20 07:18

[Subversion] r3640 by rvelices on trunk

-----[Subversion commit log]----------------------------------------------------
correct bug in commit r3622 ( feature 1053 )
(0002705)
svn (reporter)
2009.07.20 07:19

[Subversion] r3641 by rvelices on branch 2.0

-----[Subversion commit log]----------------------------------------------------
correct bug in commit r3623 ( feature 1053 )

- Issue History
Date Modified Username Field Change
2009.07.16 01:17 plg New Issue
2009.07.16 01:17 plg browser => any
2009.07.16 01:17 plg Web server => Apache 1.3.x
2009.07.17 23:13 plg Assigned To => rvelices
2009.07.17 23:13 plg Status new => assigned
2009.07.18 12:30 svn Checkin
2009.07.18 12:30 svn Note Added: 0002702
2009.07.18 12:34 svn Checkin
2009.07.18 12:34 svn Note Added: 0002703
2009.07.18 12:37 rvelices Status assigned => closed
2009.07.18 12:37 rvelices Resolution open => fixed
2009.07.18 12:37 rvelices Fixed in Version => 2.0.4
2009.07.20 07:18 svn Checkin
2009.07.20 07:18 svn Note Added: 0002704
2009.07.20 07:19 svn Checkin
2009.07.20 07:19 svn Note Added: 0002705
2010.03.09 11:16 plg Relationship added related to 0001492


Copyright © 2000 - 2018 MantisBT Team
Contact
Powered by Mantis Bugtracker